import { EventDispatcher } from "three";

class EventManager extends EventDispatcher{
    forwardEvents(object){
        this.emits?.forEach(e=>{
            this.addEventListener(e, object.dispatchEvent.bind(object))
        })
    }
}

export { EventManager }